<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_c61345ccedc3" . "9c19774277662" . "75e2da6" => base64_decode("aW1hZ2VfZ2" . "FsbGVyeQ=="), "_df945ac2fbdd15762" . "02fb48096eb43f9" => base64_decode("YWRtaW4" . "ucGFuZW" . "xzX2xpc" . "3Q="), "_61a5ceb347019e37116d4d290716" . "3b82" => base64_decode("bWF0Y2hf" . "YWxs"), "per" . "ms" => base64_decode("cGV" . "ybX" . "M="));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchImage implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\ImageIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_df945ac2fbdd1576202fb48" . "096eb43f9"]}->GetOne($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_c61345ccedc39c19774277662" . "75e2da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["p" . "e" . "r" . "m" . "s"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_61a5ceb3" . "47019e371" . "16d4d2907" . "163b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\ImageView();
    }
}